Page MenuHomePhabricator

RFC: Vertical writing support
Closed, DeclinedPublic

Description

https://www.mediawiki.org/wiki/Requests_for_comment/Vertical_writing_support

Adapt CSSJanus to provide support for CSS 3 vertical text, needed by Mongolian etc.

Details

Reference
fl538

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl538.
Qgil moved this task from Inbox to External on the Architecture board.Oct 1 2014, 7:10 AM
Qgil moved this task from External to Inbox on the Architecture board.Oct 1 2014, 7:13 AM
Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:45 PM
tstarling set Security to None.

From the last RfC meeting on 13 August 2014:

21:27:49 <sumanah> brion: Followup from 16 July: does Brion know the next steps re CSSJanus on vertical writing support?
21:27:58 <sumanah> https://www.mediawiki.org/wiki/Architecture_meetings/RFC_review_2014-07-16 and https://www.mediawiki.org/wiki/Requests_for_comment/Vertical_writing_support
21:28:23 <brion> sumanah: if nobody else wants to take it it’s still on my research todo list, but i have to follow up on it further
21:29:50 <sumanah> brion: well it was assigned to you which is why I think people thought it was your task
21:29:57 <brion> yes :)
21:29:59 <sumanah> :)
21:30:15 <brion> just haven’t gotten to it yet, it’s still in my queue
21:30:18 <sumanah> got it
21:30:30 <sumanah> np, if the RfC authors want more activity happening, they have their own TODOs

tstarling renamed this task from Next steps on CSSJanus on vertical writing support to RFC: Vertical writing support.Nov 20 2014, 6:13 AM
tstarling updated the task description. (Show Details)
tstarling removed a subscriber: tstarling.
daniel assigned this task to brion.Feb 27 2015, 3:39 PM
daniel added a subscriber: daniel.

you still on this, brion?

daniel moved this task from Inbox to Backlog on the TechCom-RFC board.Feb 27 2015, 3:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2016, 9:49 AM

Note: I submitted a change to the Node.js version of CSSJanus on github a while back, implementing vertical writing support.

Qgil removed a subscriber: Qgil.Jul 5 2016, 5:31 AM
mxn added a subscriber: mxn.Aug 28 2016, 4:21 AM

Note: I submitted a change to the Node.js version of CSSJanus on github a while back, implementing vertical writing support.

Here’s the pull request @Yair_rand submitted to CSSJanus, currently blocked on this pull request.

I'm not sure why we must create another task as TechCom-RFC, afaik I found T122942, which is an example that modified a single issue task to a RFC, so we can merge this back to T11436?

Shizhao added a subscriber: Shizhao.Jan 5 2017, 8:04 AM

How to with Vertical writing and horizontal writing mixed text composing?

How to with Vertical writing and horizontal writing mixed text composing?

{{MongolUnicode}}

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptDec 1 2017, 6:27 AM
Legoktm reopened this task as Open.Dec 1 2017, 6:37 AM
brion added a comment.Jan 9 2018, 8:32 PM

I'd still like to do a research spike on this, but recommend taking it off the TechCom RFC board unless/until there's a major internals change more ready to look at.

In T353#3887913, @brion wrote:

I'd still like to do a research spike on this, but recommend taking it off the TechCom RFC board unless/until there's a major internals change more ready to look at.

The "do this" task is the parent, T11436: Vertical writing support in MediaWiki – this is the "discuss and decide how to technically implement this" task… :-)

daniel moved this task from Backlog to Declined on the TechCom-RFC board.Apr 25 2018, 9:49 PM

Declining as an RFC, since this is not proposing a technical solution. But it's certainly interestingly as a problem statement.

In case anyone wants to work on this in the future, what is needed in addition to "Adapt CSSJanus to provide support for CSS 3 vertical text" to be considered a technical solution?

In case anyone wants to work on this in the future, what is needed in addition to "Adapt CSSJanus to provide support for CSS 3 vertical text" to be considered a technical solution?

I don't think we know for sure. Certainly, different editors will work differently (VE seems to work, at least in stand-alone mode, but I'm not at all an expert in or even a speaker of any TTB languages). Once that lands, someone will need to do an audit of pretty much every feature to decide if we good enough to declare it something MediaWiki supports, much less Wikimedia does and create a TTB language's wiki.

Pginer-WMF moved this task from Backlog to Other teams on the Language-Team board.Sep 7 2018, 11:17 AM
Krinkle closed this task as Declined.Wed, May 29, 8:46 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptWed, May 29, 8:46 PM